Jack2 1.9.12

Public Attributes | List of all members
PaHostErrorInfo Struct Reference

`#include <portaudio.h>`

## Public Attributes
PaHostApiTypeId | hostApiType
long | errorCode
const char * | errorText

## Detailed Description

Structure used to return information about a host error condition.

Definition at line 329 of file portaudio.h.

## Member Data Documentation

## ◆ hostApiType

PaHostApiTypeId PaHostErrorInfo::hostApiType

the host API which returned the error code

Definition at line 330 of file portaudio.h.

## ◆ errorCode

long PaHostErrorInfo::errorCode

the error code returned

Definition at line 331 of file portaudio.h.

## ◆ errorText

const char* PaHostErrorInfo::errorText

a textual description of the error if available, otherwise a zero-length string

Definition at line 332 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h